package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-29 
 */
@ApiModel
@Table ( value ="wms_outbound_handover" )
public class OutboundHandover extends BaseModel implements Serializable {
	private static final long serialVersionUID =  8949325236958490910L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "主键id") 
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "*司机名称")
	@Column(value = "driver_name")
	private String driverName;

	@ApiModelProperty(value = "*车牌号")
	@Column(value = "license_plate_num")
	private String licensePlateNum;

	@ApiModelProperty(value = "出库时间") 
	@Column(value = "handover_date")
	private Date handoverDate;

	@ApiModelProperty(value = "*合单号")
	@Column(value = "bill_group_id")
	private String billGroupId;

	@ApiModelProperty(value = "来源单号/如果有合单，存多个来源单号") 
	@Column(value = "src_codes")
	private String srcCodes;

	@ApiModelProperty(value = "*件数")
	@Column(value = "uom_qty")
	private BigDecimal uomQty;

	@ApiModelProperty(value = "*箱数")
	@Column(value = "lcl_qty")
	private BigDecimal lclQty;

	@ApiModelProperty(value = "客户id") 
	@Column(value = "shipper_id")
	private String shipperId;

	@ApiModelProperty(value = "客户名称") 
	@Column(value = "shipper_name")
	private String shipperName;

	@ApiModelProperty(value = "货主id") 
	@Column(value = "consignor_id")
	private String consignorId;

	@ApiModelProperty(value = "货主名称") 
	@Column(value = "consignor_name")
	private String consignorName;

	@ApiModelProperty(value = "承运商id") 
	@Column(value = "carrier_id")
	private String carrierId;

	@ApiModelProperty(value = "承运商名称") 
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "异常原因") 
	@Column(value = "exc_reason")
	private String excReason;

	@ApiModelProperty(value = "备注") 
	@Column(value = "remarks")
	private String remarks;

	@ApiModelProperty(value = "状态 默认0") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "建筑物id") 
	@Column(value = "bldg_id")
	private String bldgId;

	@ApiModelProperty(value = "建筑物名称") 
	@Column(value = "bldg_name")
	private String bldgName;

	@ApiModelProperty(value = "仓id") 
	@Column(value = "warehouse_id")
	private String warehouseId;

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDriverName() {
		return this.driverName;
	}

	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}

	public String getLicensePlateNum() {
		return this.licensePlateNum;
	}

	public void setLicensePlateNum(String licensePlateNum) {
		this.licensePlateNum = licensePlateNum;
	}

	public Date getHandoverDate() {
		return this.handoverDate;
	}

	public void setHandoverDate(Date handoverDate) {
		this.handoverDate = handoverDate;
	}

	public String getBillGroupId() {
		return billGroupId;
	}

	public void setBillGroupId(String billGroupId) {
		this.billGroupId = billGroupId;
	}

	public String getSrcCodes() {
		return this.srcCodes;
	}

	public void setSrcCodes(String srcCodes) {
		this.srcCodes = srcCodes;
	}

	public BigDecimal getUomQty() {
		return this.uomQty;
	}

	public void setUomQty(BigDecimal uomQty) {
		this.uomQty = uomQty;
	}

	public BigDecimal getLclQty() {
		return this.lclQty;
	}

	public void setLclQty(BigDecimal lclQty) {
		this.lclQty = lclQty;
	}

	public String getShipperId() {
		return this.shipperId;
	}

	public void setShipperId(String shipperId) {
		this.shipperId = shipperId;
	}

	public String getShipperName() {
		return this.shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getConsignorId() {
		return this.consignorId;
	}

	public void setConsignorId(String consignorId) {
		this.consignorId = consignorId;
	}

	public String getConsignorName() {
		return this.consignorName;
	}

	public void setConsignorName(String consignorName) {
		this.consignorName = consignorName;
	}

	public String getCarrierId() {
		return this.carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

	public String getCarrierName() {
		return this.carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getExcReason() {
		return this.excReason;
	}

	public void setExcReason(String excReason) {
		this.excReason = excReason;
	}

	public String getRemarks() {
		return this.remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getBldgId() {
		return this.bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getBldgName() {
		return this.bldgName;
	}

	public void setBldgName(String bldgName) {
		this.bldgName = bldgName;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

}
